=== debian/changelog ===
warzone2100 (2.3.7-2) unstable; urgency=low

  * Switch from embedded code copy to the system miniupnpc
  * Since the package moved to sid a long time ago it isn't
    valid to consider rc and beta versions, adjust watch file

 -- Paul Wise <pabs@debian.org>  Fri, 11 Mar 2011 17:37:37 +0800

warzone2100 (2.3.7-1) unstable; urgency=low

  * New upstream release
    - No longer ignores armor (Closes: #606402)
  * Set the distributor based on the build distribution
  * Switch to dh from debhelper 7
  * Switch to dpkg-source v3

 -- Paul Wise <pabs@debian.org>  Fri, 18 Feb 2011 23:25:23 +0800

warzone2100 (2.3.4-1) unstable; urgency=low

  * New upstream bugfix release
    - Really fixes issues in 2.3.2

 -- Paul Wise <pabs@debian.org>  Thu, 19 Aug 2010 21:32:26 +0800

warzone2100 (2.3.3-1) unstable; urgency=low

  * New upstream bugfix release
    - Fixes issues in 2.3.2 (Closes: #591215)
    - Upstream community renamed, update copyright information 

 -- Paul Wise <pabs@debian.org>  Thu, 05 Aug 2010 21:08:56 -0400

warzone2100 (2.3.2-1) unstable; urgency=low

  * New upstream release
  * Drop "Resurrection" from description on upstream's request
  * Fix FTBFS when building twice in a row (Closes: #588006)
  * Drop libglee-dev package alternative since it doesn't exist
  * Include full text of BSD license in copyright information
  * Package now complies with policy 3.9.1, update Standards-Version

 -- Paul Wise <pabs@debian.org>  Mon, 26 Jul 2010 16:02:12 -0400

warzone2100 (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #579282) (LP: #593443)
    - Stable release so uploading to unstable
    - No longer FTBFS with binutils-gold (Closes: #556919)
    - Fixes "stack smashing detected" problem (LP: #520432)
    - Fixes error in pt_BR translation (Closes: #583163)
  * Bump Standards-Version, no changes needed
  * Update watch file to also report rc/beta with letters in the version
  * Mention the new videos in the package description and point people
    at the upstream website for downloading and installing them since
    Debian does not yet have a good solution for distributing them.
    (Closes: #439736) (LP: #587909)
  * Use the system GLee and remove the embedded version during build
  * Explicitly use dpkg-source 1.0 format
  * Drop some build-depends:
    - libsdl-net1.2-dev: no longer used upstream
    - autotools: no longer used by the packaging

 -- Paul Wise <pabs@debian.org>  Sun, 20 Jun 2010 22:48:09 +0800

warzone2100 (2.3~beta7-1) experimental; urgency=low

  * New upstream beta release
    - Added missing shortcuts for "go to transport" and "guard position"
      commands. (Closes: #540846)
  * Adjust watch file to new version scheme
  * Drop warzone2100-video recommends, the package name will be
    different anyway. (Closes: #546539)

 -- Paul Wise <pabs@debian.org>  Sat, 16 Jan 2010 14:31:37 +1300

warzone2100 (2.3~beta3-1) experimental; urgency=low

  * New upstream beta release

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 15 Nov 2009 10:38:01 +0100

warzone2100 (2.2.4-3) unstable; urgency=low

  * Brown paper bag upload this time, ugh
  * Merge Build-Depends-Indep into Build-Depends to prevent FTBFS

 -- Paul Wise <pabs@debian.org>  Mon, 02 Nov 2009 19:36:10 +0800

warzone2100 (2.2.4-2) unstable; urgency=low

  * Pink paper bag upload (Zhenech says they are much sweeter XD)
  * Merge Build-Depends-Indep into Build-Depends to prevent FTBFS

 -- Paul Wise <pabs@debian.org>  Sun, 01 Nov 2009 23:13:32 +0800

warzone2100 (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Remove old configure options --with-opengl --with-ogg
  * Build/install the arch dep and indep stuff at the same time
    to prevent race conditions with install/install-indep

 -- Paul Wise <pabs@debian.org>  Mon, 19 Oct 2009 01:02:22 +0800

warzone2100 (2.2.3-1) unstable; urgency=low

  * New upstream release
    - New skybox image is CC0 instead of CC-BY 2.0, no need to repack
  * Adjust watch file to detect both .gz and .bz2 tarballs
  * Re-convert the upstream icons for the Debian menu since they changed

 -- Paul Wise <pabs@debian.org>  Sun, 20 Sep 2009 23:35:18 +0800

warzone2100 (2.2.2+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version, no changes needed 

 -- Paul Wise <pabs@debian.org>  Mon, 24 Aug 2009 23:32:48 +0800

warzone2100 (2.2.1+dfsg1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release (Closes: #534962)
  * Adjust the flex build-depends to take account of the conflict
    with all the versions of flex 2.5.34 (LP: #372872)
  * Make the -music Recommends more strict, 2.1 music doesn't work
    with 2.2.
  * Upstream moved the downloads to sourceforge, update the watch file
  * Bump Standards-Version, no changes needed
  * Drop use of dh_desktop since it no longer does anything
  * Recommend the new warzone2100-video package, version 2.2 or similar
  * Mention the warzone2100 crash reports in the -dbg package description

  [ Christoph Egger ]
  * Replace CC-2.0 graphic from cybersphinx, create a new tarball
  * Add myself to uploaders

 -- Christoph Egger <debian@christoph-egger.org>  Mon, 29 Jun 2009 17:12:52 +0200

warzone2100 (2.1.3-1) unstable; urgency=low

  * New upstream release
  * Wrap Depends and Build-Depends

 -- Paul Wise <pabs@debian.org>  Thu, 02 Apr 2009 11:58:10 +0800

warzone2100 (2.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #519116)
  * Bump debhelper compat level
  * Silence lintian warning about GPL file location
  * Pad out the -data/-dbg/-music descriptions a bit
  * Bump Standards-Version, no changes needed
  * Move the -dbg package into the new debug section

 -- Paul Wise <pabs@debian.org>  Mon, 16 Mar 2009 01:42:25 +0900

warzone2100 (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 15 Jan 2009 18:57:34 +0000

warzone2100 (2.1.0-1) unstable; urgency=low

  * New upstream release

