=== debian/watch ===
version=3
http://sf.net/warzone2100/warzone2100-([\d\.]+)\.tar\.(?:gz|bz2)
