=== win32/libs/devpkg/Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
 PKG_SOURCE_URL:= \
 	http://download.gna.org/warzone/development/devpkg/ \
-	http://www.il.fontys.nl/~giel/warzone/devpkg/
+	http://wzhost.wz2100.net/~buildbot/dev/
 PKG_MD5SUM:=6a3a37022ffc3c0a573ad2d6c4766b6d
 
 include $(TOPDIR)/rules.mk
 
-extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
+extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
 	@test -d $(TOPDIR)/build/libs || { \
 	    echo mkdir -p $(TOPDIR)/build/libs ; \
 	    mkdir -p $(TOPDIR)/build/libs || exit ; \
