=== debian/changelog ===
warzone2100 (2.3.8-1) unstable; urgency=low

  * New upstream release
    - Refresh miniupnpc removal patch
    - Build and install new upstream docs
  * Complies with latest policy, bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Sat, 21 May 2011 16:31:49 +0800
