=== debian/control ===
--- 
+++ 
@@ -22,9 +22,17 @@
  glee-dev,
  libminiupnpc-dev,
  pkg-config,
+ asciidoc,
+ wkhtmltopdf,
+ libxml2-utils,
+ docbook-xml,
+ docbook-xsl,
+ xsltproc,
+ xauth,
+ xvfb,
  zip,
  unzip
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.wz2100.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/warzone2100/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/warzone2100/?op=log
@@ -58,10 +66,11 @@
 Depends: ${misc:Depends}
 Recommends: warzone2100
 Description: data files for warzone2100
- This package contains data and translations for the warzone2100 game.
+ This package contains data, docs and translations for the warzone2100 game.
  . 
  It contains the campaign and multiplayer data, several mods (including
- a more advanced AI, different terrain textures, new maps and scavengers).
+ a more advanced AI, different terrain textures, new maps and scavengers)
+ and documentation for the game.
 
 Package: warzone2100-dbg
 Section: debug
