=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,19 @@
 	    --with-distributor="$(shell dpkg-vendor --query vendor)" \
 	    --disable-debug
 
+override_dh_auto_build:
+	# The HTML to PDF converter needs an X server
+	# The default bit depth is too low for the images in the PDF
+	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -f debian/*/usr/share/doc/warzone2100/COPYING*
+	rm -f debian/*/usr/share/doc/warzone2100/ChangeLog*
+	rm -f debian/*/usr/share/doc/warzone2100/Readme*
+
 override_dh_strip:
 	dh_strip --dbg-package=warzone2100-dbg
+
+override_dh_compress:
+	dh_compress -X.pdf
