## warzone2100 3.1~beta11

=== debian/changelog ===
warzone2100 (3.1~beta11-2ubuntu2) quantal; urgency=low

  * Rebuild for libglew1.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Sep 2012 15:27:03 +0100

warzone2100 (3.1~beta11-2ubuntu1) quantal; urgency=low

  * Resynchronize with Debian (LP: #886492). Remaining change:
    - d/patches/miniupnpc8-compat.patch: Port usage of miniupnpc API 
      to version 1.6.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Jun 2012 17:27:46 -0400

warzone2100 (3.1~beta11-2) unstable; urgency=low

  * Fix FTBFS on non-x86 platforms using upstream patch

 -- Paul Wise <pabs@debian.org>  Thu, 21 Jun 2012 11:09:40 +0800

warzone2100 (3.1~beta11-1) unstable; urgency=low

  * New upstream beta release (LP: #886492)
    - Upstream switched from GLee to GLEW, change build-dep
    - Upstream requires Qt at build time, add build-dep
    - Upstream now uses xrandr, add build-dep
    - Add more new build-deps
    - Fixes loss of energy after loading games (Closes: #631083)
  * Detect more tarball types in the watch file
  * Bump debhelper compat level
  * Bump Standards-Version, no changes needed
  * dh now wants the sequence before the options
  * GLee removed upstream, no need to remove it
  * miniupnpc copy moved around remove new location
  * delete all of the current and future embedded code copies
  * Remove the quesoglc embedded code copy too
  * Update patch to use system quesoglc too
  * wrap-and-sort -sa
  * Drop autotools_dev, not needed with autoreconf
  * Enable all the hardening flags
  * Do not ship the map binaries
  * Brad is MIA, drop him from uploaders (Closes: #674893)
  * Build against libpng-dev instead (Closes: #662544)
  * Switch to machine-readable copyright format 1.0
  * Remove generated docs so we regenerate them
  * Fix the Vcs-Browser field

 -- Paul Wise <pabs@debian.org>  Wed, 20 Jun 2012 21:47:53 +0800
